Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.api
Class SummaryInfo

    java.lang.Object
      jet.api.SummaryInfo

    public class SummaryInfo

extends java.lang.Object

The class defines a Summary object. A summary is a special kind of formula. A summary generates a count, average, sum, standard deviation or other transformation of a set of data values. A summary applies to a defined group of data.

Constructor Summary
`SummaryInfo()` Constructor.
`SummaryInfo(java.lang.String name, java.lang.String desc, java.lang.String function, java.lang.String fieldName, java.lang.String groupby)` Constructor.

Method Summary
`java.lang.String` | `getDescription()` Gets the summary's description.
`java.lang.String` | `getField()` Gets the mapping name of the field on which the summary is calculated.
`java.lang.String` | `getFunction()` Gets the String format value of the summary's function.
`java.lang.String` | `getGroupBy()` Gets the field used to group the data.
`java.lang.String` | `getName()` Gets the summary's mapping name.
`SpecFuncInfo` | `getSpecFuncInfo()` Gets Special Function's definition.
`void` | `setDescription(java.lang.String desc)` Sets the summary's description text.
`void` | `setField(java.lang.String fieldName)` Sets the mapping name of the field on which the summary is calculated.
`void` | `setFunction(java.lang.String function)` Sets the String format value of the summary's function.
`void` | `setGroupBy(java.lang.String groupby)` Sets the field used to group the data.
`void` | `setName(java.lang.String name)` Sets the summary's mapping name.
`void` | `setSpecFuncInfo(SpecFuncInfo specFuncInfo)` Sets Special Function's definition of the Summary.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SummaryInfo

    public SummaryInfo()

  Constructor. Creates the Summary definition object.

### SummaryInfo

    public SummaryInfo(java.lang.String name,
                       java.lang.String desc,
                       java.lang.String function,
                       java.lang.String fieldName,
                       java.lang.String groupby)

  Constructor. Creates the Summary definition object.

  Parameters:
    `name` - The mapping name of the summary.
    `desc` - The description of the summary.
    `function` - The aggregate function of the summary.
    `groupby` - The mapping name of the groupby field.
    `fieldName` - The mapping name of the field on which the summary is calculated.

Method Detail

### getName

    public java.lang.String getName()

  Gets the summary's mapping name.

  Returns:
    the summary's mapping name.

### setName

    public void setName(java.lang.String name)

  Sets the summary's mapping name.

  Parameters:
    `name` - The summary's mapping name.

### getDescription

    public java.lang.String getDescription()

  Gets the summary's description.

  Returns:
    the summary's description text.

### setDescription

    public void setDescription(java.lang.String desc)

  Sets the summary's description text.

  Parameters:
    `desc` - The summary's description text.

### getFunction

    public java.lang.String getFunction()

  Gets the String format value of the summary's function.

  Returns:
    the String format value of the summary's function.

### setFunction

    public void setFunction(java.lang.String function)

  Sets the String format value of the summary's function.

  Parameters:
    `function` - The String format value of the summary's function.

### getField

    public java.lang.String getField()

  Gets the mapping name of the field on which the summary is calculated.

  Returns:
    the mapping name of the field.

### setField

    public void setField(java.lang.String fieldName)

  Sets the mapping name of the field on which the summary is calculated.

  Parameters:
    `fieldName` - The mapping name of the field.

### getGroupBy

    public java.lang.String getGroupBy()

  Gets the field used to group the data.

  Returns:
    the mapping name of the groupBy field.

### setGroupBy

    public void setGroupBy(java.lang.String groupby)

  Sets the field used to group the data.

  Parameters:
    `groupby` - The mapping name of the groupBy field.

### getSpecFuncInfo

    public SpecFuncInfo getSpecFuncInfo()

  Gets Special Function's definition.

  Returns:
    Special Function's definition.

### setSpecFuncInfo

    public void setSpecFuncInfo(SpecFuncInfo specFuncInfo)

  Sets Special Function's definition of the Summary. If the group by field is of Numeric/String/Date/Time type, you can define a special function for the field.

  Parameters:
    `specFuncInfo` - Special Function's definition.
  See Also:
    `#SpecFuncNumInfo}, {@link #SpecFuncStringInfo}, {@link #SpecFuncDateTimeInfo}, {@link #SpecFuncValueChangeInfo}`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD